MysqlndUhConnection::getLastInsertId
MysqlndUhConnection::getProtocolInformation
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::getLastMessage

Retrieves information about the most recently executed query

### Description

public void MysqlndUhConnection::getLastMessage ( mysqlnd_connection `$connection` )

Retrieves information about the most recently executed query.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

Last message. Trying to return a string longer than 511 bytes will cause an error of the type E_WARNING and result in the string being truncated.

### Examples

Example #1 MysqlndUhConnection::getLastMessage example

`<?php
class proxy extends MysqlndUhConnection {
public function getLastMessage($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::getLastMessage($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
var_dump($mysqli->info);
$mysqli->query("DROP TABLE IF EXISTS test");
var_dump($mysqli->info);
?>`

The above example will output:

    proxy::getLastMessage(array (
      0 => NULL,
    ))
    proxy::getLastMessage returns ''
    string(0) ""
    proxy::getLastMessage(array (
      0 => NULL,
    ))
    proxy::getLastMessage returns ''
    string(0) ""

### See Also

- mysqlnd_uh_set_connection_proxy
- mysqli_info
- mysql_info